[PREVIOUS CHAPTER] [______TOC_______]

Appendix A troubleshoot

    Q: SSL

    /usr/local/fml/www/share/cgi-bin/fml/admin/.htaccess:

    	% makefml admin.cgi config

    			  )

    	% chmod -R go-w ~/public_html/
    	% chown -R fml:fml  ~/public_html/

         % ls -lR ~/public_html
         total 1
         drwxr-xr-x  4 fml  fml  512 Nov 28 09:07 cgi-bin/

         /home/fml/public_html/cgi-bin:
         total 2
         drwxr-xr-x  2 fml  fml  512 Nov 28 09:07 admin/
         drwxr-xr-x  3 fml  fml  512 Nov 28 09:07 fml/

         /home/fml/public_html/cgi-bin/admin:

         /home/fml/public_html/cgi-bin/fml:
         total 1
         drwxr-xr-x  2 fml  fml  512 Dec 16 21:18 admin/

         /home/fml/public_html/cgi-bin/fml/admin:
         total 7
         -rwxr-xr-x  1 fml  fml  618 Dec 16 21:18 index.cgi
         -rwxr-xr-x  1 fml  fml  575 Dec 16 21:18 makefml.cgi
         -rwxr-xr-x  1 fml  fml  616 Dec 16 21:18 menu.cgi
         -rwxr-xr-x  1 fml  fml  622 Dec 16 21:18 menubar.cgi
         -rwxr-xr-x  1 fml  fml  648 Dec 16 21:18 mlmenu.cgi
         -rwxr-xr-x  1 fml  fml  618 Dec 16 21:18 newml.cgi
         -rwxr-xr-x  1 fml  fml  616 Dec 16 21:18 rmml.cgi

    (13)Permission denied: Could not open password file: /usr/local/fml/www/authdb/admin/htpasswd

    	# chmod -R go+r /usr/local/fml/www/authdb

    	# chmod -R go+rx `find /usr/local/fml/www/authdb -type d -print`
    	# chmod -R go+r /usr/local/fml/www/authdb

    Q: Options ExecCGI is off in this directory

        <Directory /home/*/public_html>
            AllowOverride FileInfo AuthConfig Limit
            Options MultiViews Indexes SymLinksIfOwnerMatch IncludesNoExec ExecCGI
        </A>

       # ./configure --enable-suexec --suexec-caller=nobody

       # ./configure --enable-suexec --suexec-caller=www

    $FML: INSTALL_CGI.wix,v 1.23.2.2 2001/08/23 11:46:45 fukachan Exp $